//这个mixins是给切换主题使用
module.exports = {
	data() {
		return {
			theme: ''
		}
	},
	methods: {
		refreshTheme(theme) {
			this.theme = theme;
		}
	},
	onLoad() {
		getApp().watch(this.refreshTheme, 'theme');
	},
	onShow() {
		this.theme = getApp().getTheme();
	},
	onReady() {
		this.theme = getApp().getTheme();
	}
}
